layui.use([ 'element', 'table', 'laydate', 'form','upload' ], function() {
	var $ = layui.jquery;
	var table = layui.table;
	var laydate = layui.laydate;
	var element = layui.element;
	var form = layui.form;
	var upload = layui.upload;
	
	activeFunction();
	//获取所有表格名称
	function activeFunction(){
		$.ajax({
			url : '../../../getAllFilename_6',
			dataType : 'json',
			data : {
			}, 
			type : 'get',
			success : function(data) {
				$.each(data, function(index, item) {
					$('#filename').append(
							new Option(item, item));// 下拉菜单里添加元素
				});
				layui.form.render("select");
			}
		});
	} 
	// 生成表格
	table.render({
		elem 	: '#finance6Table',
		url 	: '../../../getFinance_6', 
		toolbar : '#toolbarDemo',
		defaultToolbar: ['filter', 'exports', { //自定义头部工具栏右侧图标。如无需自定义，去除该参数即可
		      title: '提示'
		      ,layEvent: 'LAYTABLE_TIPS'
		      ,icon: 'layui-icon-tips'
		    }],
		title 	: '表',// 导出文件名
		id 		: 'finance6TableAll',
		// 开启分页
		page 	: {
			layout : [ 'count', 'prev', 'page', 'next', 'skip', 'limit' ]
		},
		limits	: [10,50,100,500,999,9999],
		where:{
			filename :'',
			orderNumber :''
		},
		cellMinWidth : 80, // 全局定义常规单元格的最小宽度，layui 2.2.1 新增
		cols : [ [ {
			type : 'numbers',
			title : '序号',
			width : 50,
			fixed : "left"
		},{
			field : 'addTime',
			title : '日期',
			width :  120,
			align : "center",
			templet : function(d) {
				return d.addTime != null ?layui.util.toDateString(d.addTime, "yyyy-MM-dd") : "";
			} 
		},{
			field : 'supplier',
			width :  100,
			align : "center",
			title : '供应商'
		},{
			field : 'shopname',
			width :  100,
			align : "center",
			title : '店铺'
		},{
			field : 'kind',
			width :  100,
			align : "center",
			title : '种类'
		},{
			field : 'kind2',
			width :  100,
			align : "center",
			title : '种类2'
		},{
			field : 'orderNumber',
			title : '订单编号',
			align : "center",
			width :  230,
			templet : function(d) {
				return d.orderNumber + '\t';
			} 
		},{
			field : 'remark',
			title : '文件名称'
		},{
			field : 'filename',
			title : '表格名称',
			width :  120,
		},{
			field : 'count',
			title : '数量',
			align : "center",
			width :  80,
			templet : function(d) {
				if(d.count == "#"){
					return '<a class=""style="color:#ed2a4a">'+d.count+'</a>';
				}else{
					return d.count;
				}
			} 
		},{
			field : 'number',
			title : '拼版数',
			align : "center",
			width :  80,
			templet : function(d) {
				if(d.number == "#"){
					return '<a class=""style="color:#ed2a4a">'+d.number+'</a>';
				}else{
					return d.number;
				}
			} 
		},{
			field : 'zhang',
			title : '张数',
			align : "center",
			width :  80,
			templet : function(d) {
				if(d.zhang == "0.0"){
					return '<a class=""style="color:#ed2a4a">'+d.zhang+'</a>';
				}else{
					return d.zhang;
				}
			} 
		},{
			field : 'createDate',
			title : '导入日期',
			align : "center",
			width :  120,
			templet : function(d) {
				return d.createDate != null ?layui.util.toDateString(d.createDate, "yyyy-MM-dd") : "";
			} 
		}] ],
		parseData : function(res) { //将原始数据解析成 table 组件所规定的数据
			return {
				"code" 	: 0, //解析接口状态
				"msg" 	: "", //解析提示文本
				"count"	: res.total,//解析数据长度
				"data" 	: res.list//解析数据列表
			};
		}
	});

	//点击查询按钮，重载表格
	$('#searchBtn').on('click', function() {
		table.reload('finance6TableAll', {
			method : 'post',
			where : {
				filename : $("#filename").val(),
				orderNumber : $("#orderNumber").val()
			},
			page : {
				curr : 1
			}
		});
		return false;
	});
	// 监听头部工作栏的 新增用户
	table.on('toolbar(finance6Table)', function(obj) {
		var checkStatus = table.checkStatus(obj.config.id);
		switch (obj.event) {
		case 'export':
			var filename = $("#filename").val();
			if(filename == ""){
				layer.msg('请选择要导出的文件!',function(){});
				return false;
			}
			window.location.href="../../../excel_6" + "?filename=" + filename;
			break;
		case 'mulAdd'://导入
			layer.open({
				//layer提供了5种层类型。可传入的值有：0（信息框，默认）1（页面层）2（iframe层）3（加载层）4（tips层）
				type: 1,
				title: "导入数据",
				area: ['720px', '430px'],
				content: $("#popmulAddTest")//引用的弹出层的页面层的方式加载添加界面表单
			});
			break;
		case 'del':// 删除
			var filename = $("#filename").val();
			if(filename == ""){
				layer.msg('请选择要删除的文件!',function(){});
				return false;
			}
			layer.confirm('确定要删除【' + filename + '】的数据么？',{icon:3,title:"提示"}, function(index){
				$.ajax({
					url : "../../../deleteDataByFilename_6",
					dataType : 'json',
					data:{'filename': filename},
					type : 'post',
					success : function(data) {
						if (data.code == 200) {
							layer.msg('删除成功！',{icon:6,offset:"auto",time:2000});//提示框
							//删除完清空下拉框再重新查询
							$("#filename").empty();
							activeFunction();
							table.reload("finance6TableAll"); //重新加载页面表格
					  	}else{
					  		layer.msg('删除失败！',{icon:5,offset:"auto",time:2000});//提示框
					  	}
					}		
				})
			})
			break;
		};
	});
	//多文件上传
	form.on('submit(upLoad)',function(obj){
		layer.msg('开始上传，请稍后~~',{icon:6,offset:"auto",time:2000});//提示框
		//$('#testListAction').addClass("layui-btn-disabled").attr("disabled",true);
		//$('#testListAction').html('<span style="color: #FF5722;">正在上传...</span>');
	})
	var demoListView = $('#demoList'),
	uploadListIns = upload.render({
		elem: '#testList',
		url: '../../../ajaxUpload_f6', //上传接口
		accept: 'file',
		multiple: true,
		auto: false,
		bindAction: '#testListAction',
		choose: function(obj){  //选完文件调用
			var files = this.files = obj.pushFile(); //将每次选择的文件追加到文件队列
			//读取本地文件
			var count = 1;
			obj.preview(function(index, file, result){
				var tr = $(['<tr id="upload-'+ index +'">',
					'<td>'+ count++ +'</td>',
					'<td>'+ file.name +'</td>',
					'<td>'+ (file.size/1024).toFixed(1) +'kb</td>',
					'<td>等待上传</td>',
					'<td>',
					'<button class="layui-btn layui-btn-xs demo-reload layui-hide">重传</button>',
					'<button class="layui-btn layui-btn-xs layui-btn-danger demo-delete">删除</button>',
					'</td>',
					'</tr>'].join(''));
				//单个重传
				tr.find('.demo-reload').on('click', function(){
					obj.upload(index, file);
				});
				//删除
				tr.find('.demo-delete').on('click', function(){
					delete files[index]; //删除对应的文件
					tr.remove();
					uploadListIns.config.elem.next()[0].value = ''; //清空 input file 值，以免删除后出现同名文件不可选
				});
				demoListView.append(tr);
			});
		},
		done: function(res, index, upload){ //上传成功后调用
			layer.msg(res.msg,function(){});
			if(res.code == 200){ //上传成功
				var tr = demoListView.find('tr#upload-'+ index),
				tds = tr.children();
				tds.eq(3).html('<span style="color: #5FB878;">上传成功</span>');
				tds.eq(4).html(''); //清空操作
				$('#testListAction').html('<span>开始上传</span>');
				//$('#testListAction').removeClass("layui-btn-disabled").attr("disabled",false);
				$("#filename").empty();
				activeFunction();
				table.reload("finance6TableAll"); //重新加载页面表格
				return delete this.files[index]; //删除文件队列已经上传成功的文件
			}
			this.error(index, upload);	
		},
		error: function(index, upload){	//上传失败后调用
			var tr = demoListView.find('tr#upload-'+ index)
			,tds = tr.children();
			tds.eq(3).html('<span style="color: #FF5722;">上传失败</span>');
			//$('#testListAction').removeClass("layui-btn-disabled").attr("disabled",false);
			tds.eq(4).find('.demo-reload').removeClass('layui-hide'); //显示重传
		}
	});
});
